body > .nb-w {
  flex-basis: 74px;
  flex-grow: 0;
  flex-shrink: 0;

  display: flex;
  justify-content: center;
  align-items: stretch;

  border-bottom: 1px solid #f0f0f0;
}

@media screen and (max-width: 1239px) {
  body > .nb-w {
    flex-basis: 58px;
    padding: 0 15px;
  }
}

@media screen and (max-width: 1239px) {
  body > .nb-w.open-menu {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 2;
    /*background-color: #f0f0f0;*/
    background-color: #6b1d74;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    padding: 0;
  }
}

body > .nb-w > .nb {
  flex-basis: 1200px;

  display: flex;
  align-items: center;
}

@media screen and (max-width: 1239px) {
  body > .nb-w.open-menu > .nb {
    flex-basis: auto;
    align-items: flex-start;
    padding: 20px 15px;
  }
}

body > .nb-w > .nb > .l,
body > .nb-w > .nb > .c {
  flex-basis: 50%;
  flex-grow: 1;
  flex-shrink: 1;
  display: flex;
}

@media screen and (max-width: 1239px) {
  body > .nb-w.open-menu > .nb > .l {
    flex-direction: column;
  }
}

@media screen and (max-width: 1239px) {
  body > .nb-w > .nb > .c {
    display: none;

    position: fixed;
    left: 15px;
    right: 15px;
    bottom: 100px;
    justify-content: center;
    flex-direction: column;
  }
}

@media screen and (max-width: 1239px) {
  body > .nb-w.open-menu > .nb > .c {
    display: flex;
  }
}

body > .nb-w > .nb > .c {
  align-items: center;
  justify-content: flex-end;
}

body > .nb-w > .nb > .l > a {
  font-size: 0;
  line-height: 0;
}

/* .n - n stands for normal */
/* .w - w stands for white */
body > .nb-w > .nb > .l > a > .w {
  display: none;
}

@media screen and (max-width: 1239px) {
  body > .nb-w.open-menu > .nb > .l > a > .n {
    display: none;
  }

  body > .nb-w.open-menu > .nb > .l > a > .w {
    display: inline;
  }
}

body > .nb-w > .nb > .l > ul {
  list-style-type: none;
  display: flex;
  padding: 0;
  margin: 0 0 0 120px;
}

@media screen and (max-width: 1239px) {
  body > .nb-w > .nb > .l > ul {
    display: none;
    margin: 40px 0 0 0;
    flex-direction: column;
    align-items: center;
  }
}

@media screen and (max-width: 1239px) {
  body > .nb-w.open-menu > .nb > .l > ul {
    display: flex;
  }
}

body > .nb-w > .nb > .l > ul > li {

}

body > .nb-w > .nb > .l > ul > li + li {
  margin-left: 20px;
}

@media screen and (max-width: 1239px) {
  body > .nb-w > .nb > .l > ul > li + li {
    margin: 20px 0 0 0;
  }
}

body > .nb-w > .nb > .l > ul > li > a {
  color: #0d0b0d;
  font-size: 14px;
  line-height: 17px;
  text-decoration: none;
}

@media screen and (max-width: 1239px) {
  body > .nb-w > .nb > .l > ul > li > a {
    color: #fff;
  }
}

body > .nb-w > .nb > .l > ul > li > a:hover,
body > .nb-w > .nb > .l > ul > li > a.active {
  color: #6b1d74;
}

@media screen and (max-width: 1239px) {
  body > .nb-w > .nb > .l > ul > li > a:hover,
  body > .nb-w > .nb > .l > ul > li > a.active {
    color: #fff;
  }
}


/* right part */
body > .nb-w > .nb > .c > a {
  font-size: 14px;
  line-height: 18px;
  text-decoration: none;
  color: #6b1d74;

  padding-left: 24px;

  /* TODO preload */
  background-image: url(/img/phone.svg);
  background-position: 0 0;
  background-repeat: no-repeat;
}

@media screen and (max-width: 1239px) {
  body > .nb-w > .nb > .c > a {
    order: 2;
    margin: 15px 0 0 0;
    color: #fff;
    background-image: url('/img/phone-white.svg');
  }
}


body > .nb-w > .nb > .c > button {
  outline: none;
  background: #fff;

  flex-basis: 222px;
  height: 44px;

  font-size: 14px;
  color: #6b1d74;
  cursor: pointer;

  border: 1px solid #6b1d74;
  padding: 0;
  margin: 0 0 0 20px;
}

@media screen and (max-width: 1239px) {
  body > .nb-w > .nb > .c > button {
    order: 1;
    flex-basis: 44px;
    width: 100%;
    margin: 0;
    border-color: #fff;
    color: #fff;
    background-color: #6b1d74;
  }
}

body > .nb-w > .nb > .c > button:hover {
  color: #fff;
  background-color: #6b1d74;
}

body > .nb-w > .nb > .r {
  display: none;
}

@media screen and (max-width: 1239px) {
  body > .nb-w > .nb > .r {
    display: flex;
  }
}

body > .nb-w > .nb > .r > button {
  position: relative;
  outline: none;
  border: none;
  font-size: 0;
  line-height: 0;
  width: 20px;
  height: 2px;
  background-color: #0d0b0d;
  cursor: pointer;
  padding: 0;
}

body > .nb-w.open-menu > .nb > .r > button {
  background-color: #6b1d74;
  width: 24px;
  height: 24px;
}

body > .nb-w > .nb > .r > button:before {
  position: absolute;
  left: 0;
  right: 0;
  content: ' ';
  top: -6px;
  border-top: 2px solid #0d0b0d;
  border-bottom: 2px solid #0d0b0d;
  height: 14px;
}

body > .nb-w.open-menu > .nb > .r > button:before {
  display: none;
}

body > .nb-w > .nb > .r > button > svg {
  display: none;
}

body > .nb-w.open-menu > .nb > .r > button > svg {
  display: inline;
}

body > .nb-w.open-menu + .body {
  margin: 58px 0 0 0;
}